import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { SelectOption } from '@ng-flexy/form';
export declare class FlexyControlCheckboxListComponent implements OnChanges, OnInit, OnDestroy {
    private formBuilder;
    private cdr;
    control: FormControl;
    name: string;
    default: string[];
    options: SelectOption[];
    optionsRawId: string;
    readonly: boolean;
    changed: EventEmitter<string[]>;
    localGroupControl: FormGroup;
    valuesLabels: string;
    defaultsLabels: string;
    loading: boolean;
    componentUid: string;
    private controlChangesSubscription;
    private localValuesChangesSubscription;
    constructor(formBuilder: FormBuilder, cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private initCheckboxesGroup;
    private subscribeLocalChanges;
    private setDefaultsLabels;
    private setValueLabels;
    private updateControl;
}
